## EMBOSS: pepnet

# Program pepnet

## Function

Displays proteins as a helical net

## Description

This is a method of displaying the residues of a protein in a simple 3,4,3,4 repeating pattern that emulates at a simple level the arrangement of residues around an alpha helix.

It is therefore easy to see patterns of amphipathicity that you may wish to investigate in more detail by using displays such as pepwheel.

You can specify which residues to mark up in squares, diamonds and octagons.

## Usage

Here is a sample session with pepnet.

    % pepnet -sask
    Input sequence: sw:gcn4_yeast
         Begin at position [start]: 253
           End at position [end]: 274
    Graph type [x11]:

CLick here for the graph

## Command line arguments

       Mandatory qualifiers (* if not always prompted):
      [-sequence]          sequence   Sequence USA
    *  -graph              graph      Graph type

       Optional qualifiers (* if not always prompted):
    *  -squares            string     By default the aliphatic residues ILVM are
                                      marked with squares.
    *  -diamonds           string     By default the residues DENQST are marked
                                      with diamonds.
    *  -octags             string     By default the positively charged residues
                                      HKR are marked with octagons.

       Advanced qualifiers:
       -amphipathic        bool       If this is true then the residues ACFGILMVWY
                                      are marked as squares and all other
                                      residues are unmarked. This overrides any
                                      other markup that you may have specified
                                      using the qualifiers '-squares', '-diamonds'
                                      and '-octags'.
       -data               bool       Output the data to a file instead of
                                      plotting it

       General qualifiers:
      -help                bool       report command line options. More
                                      information on associated and general
                                      qualifiers can be found with -help -verbose

Mandatory qualifiers | Allowed values | Default
--- | --- | ---
[-sequence] (Parameter 1) | Sequence USA | Readable sequence | Required
-graph | Graph type | EMBOSS has a list of known devices, including postscript, ps, hpgl, hp7470, hp7580, meta, colourps, cps, xwindows, x11, tektronics, tekt, tek4107t, tek, none, null, text, data, xterm, png | EMBOSS_GRAPHICS value, or x11
Optional qualifiers | Allowed values | Default
-squares | By default the aliphatic residues ILVM are marked with squares. | Any string is accepted | ILVM
-diamonds | By default the residues DENQST are marked with diamonds. | Any string is accepted | DENQST
-octags | By default the positively charged residues HKR are marked with octagons. | Any string is accepted | HKR
Advanced qualifiers | Allowed values | Default
-amphipathic | If this is true then the residues ACFGILMVWY are marked as squares and all other residues are unmarked. This overrides any other markup that you may have specified using the qualifiers '-squares', '-diamonds' and '-octags'. | Yes/No | No
-data | Output the data to a file instead of plotting it | Yes/No | No

## Input file format

Any protein sequence USA.

## Output file format

An image is displayed.

## Data files

None.

## Notes

None.

## References

None.

## Warnings

None.

## Diagnostic Error Messages

None.

## Exit status

It exits with a status of 0.

## Known bugs

None.

## See also

Program name | Description
--- | ---
abiview | Reads ABI file and display the trace
cirdna | Draws circular maps of DNA constructs
garnier | Predicts protein secondary structure
helixturnhelix | Report nucleic acid binding motifs
hmoment | Hydrophobic moment calculation
lindna | Draws linear maps of DNA constructs
pepcoil | Predicts coiled coil regions
pepwheel | Shows protein sequences as helices
prettyplot | Displays aligned sequences, with colouring and boxing
prettyseq | Output sequence with translated ranges
remap | Display a sequence with restriction cut sites, translation etc
seealso | Finds programs sharing group names
showalign | Displays a multiple sequence alignment
showdb | Displays information on the currently available databases
showfeat | Show features of a sequence
showseq | Display a sequence with features, translation etc
textsearch | Search sequence documentation text. SRS and Entrez are faster!
tmap | Displays membrane spanning regions

## Author(s)

This application was written by Alan Bleasby (ableasby@hgmp.mrc.ac.uk)

## History

Writte (2000) - Alan Bleasby

## Target users

This program is intended to be used by everyone and everything, from naive users to embedded scripts.

## Comments